//	Persistence of Vision Ray Tracer Scene Description File
//	File: Splash31.pov
//	Date: 21/07/98
//	Author: Smellenbergh Ren a.o.
	
global_settings {
	assumed_gamma 1.8
//	adc_bailout 0
	max_trace_level 7
}

#version unofficial Megapov 1.0;
#default { texture { pigment { color rgb < 1, 0, 0 > } finish { ambient 0.4 } } }

#include "colors.inc"	// Standard Color definitions
#include "textures.inc"
#include "metals.inc"
#include "skies.inc"
#include "glass.inc"
#include "stones.inc"
#declare Font="blackcha.ttf";
// ============= CAMERA ====================
camera {
	location  <-0, -2, -55> 
	up y*1
	right x*1
	look_at <-0, -1.6, 0>
	angle 30
//	rotate y*-45
}

// ============= SWITCHES ==================
#declare TextAan=on;
#declare BlokAan=on;
#declare LuchtAan=on;
#declare ZuilenAan=on;
#declare BolAan=on;
#declare MijnhandAan=on;
#declare TextBlokAan=on;
#declare AerealightOn=off;
// ============== LIGHT =====================
//light_source { <1.5, 2, -4>	color rgb < 0.75, 0.75, 0 >   atmosphere off shadowless}
light_source {
	< -4, 7, -4 >
	color < 0.9, 0.9, 0 >
	fade_distance 6
	fade_power 2	//quadratic
	shadowless
}

light_source {
	< 160, 150, -40 >
	color rgb <1, 1, 1> + <0.5, 0.5, 0.3>
	spotlight
 	point_at < 3, 8, -2 >
	radius 5
	falloff 10
	tightness 0.9
#if (AerealightOn = on)
	area_light < 4, 0, 0 >,   < 0, 4, 0 >,  10,  10
	#end
	adaptive 1 
	jitter
}

light_source {		//onderlinks
	< -40, -20, -50 >
	color rgb <0.8, 0.8, 0.8>
	spotlight
 	point_at < 6, 0, 2 >
	radius 20
	falloff 50
	tightness 20
	shadowless
}

//background { color LightBlue }

#if ( LuchtAan=1)
	sky_sphere { S_Cloud5 rotate y*35 }
#end

//====================== BOL =======================
#if (BolAan =on)
	union {
		sphere {
			<0, 0, 0>, 12.01
	    	texture {
	    		pigment { Blue filter 0.01 transmit 0.65  }
				finish { specular 1 roughness 0.001 diffuse 0.97 reflection 0.09 metallic 0.3 }
//				pigment { White }
			}
			interior { 	ior 1.62 }
		}
		sphere {
			<0, 0, 0>, 12
	    	texture {
				pigment  {
					gradient < 0.0, 1.0,  0.0 >
					color_map {
						[ 0.00 color rgbft < 1, 1, 1, 0 ,1 > ]
						[ 0.75 color rgbft < 1, 1, 1, 0 ,1 > ]
						[ 0.80 color rgbft < 1, 1, 1, 0, 0 >+<1, 1, 1> ]
						[ 0.90 color rgbft < 1, 1, 1, 0 ,0.1 > +<1, 1, 1> +<1, 1, 1> ]
						[ 1.00 color rgbft < 1, 1, 1, 0 ,0.5 > +<1, 1, 1> +<1, 1, 1> ]
					}
					frequency -1
					scale < 1.0, 25, 1.0 >
					translate < 0.0, -12,  0.0 >
					turbulence < 0.25, 0.04, 0.35 >
					rotate y*-50
					quick_color  rgb <1.000000, 0.000000, 0.000000> 
				}
			}
			interior { 	ior 1.62 }
		}
		translate < 0.0, -0.8,  0 >
		no_shadow
		hollow
	}
#end

#if ( TextAan =on)
	#declare Text = 
		union {
			text {
				ttf Font,"Persistence Of Vision"
				1, x*0.03		
				h_align_center							
				translate <0, 2, 0>
			}	
			text {
				ttf Font,"  Ray Tracer V 1.0"
				1, x*0.03						
				h_align_center							
				translate <0, 0.9,0>
			}
			translate <0.4, -0.2, 0>
	
//			texture { T_Gold_2C 	}
//			texture { T_Copper_4A }
//			texture { T_Brass_4A }
//			texture { T_Chrome_5D 	}
//			texture { T_Chrome_5B 	}
			texture {
				pigment  { color rgb < 0.9, 0.9, 0 > 	}
				finish {
					ambient 0.3
					reflection 0.3 specular 1 roughness 0.0001 diffuse 0.75
				}
			}
			scale <1, 1, 1>
			translate z*-0.2
			no_shadow
		}
#declare Unofficial =	
	union {
	text {
		ttf Font,"MegaPOV"
		0.31, x*0.07
			h_align_center
	texture {
			pigment  {
				gradient < 0,1, 0 >
				color_map {
					[ 0.0 color rgbft < 1.000000,  1.000000,  1.000000 ,0.0 ,0.45 > +<1, 1, 1, 0, 0> ]
					[ 0.8 color rgbft < 1.000000,  1.000000,  1.000000 ,0.0 ,0.46 > +<1, 1, 1,0.0 ,0> ]
					[ 0.8 color rgbft < 1.000000,  1.000000,  1.000000 ,0.0 ,0.40 > +<1, 1, 1,0.0 ,0> ]
					[ 0.9 color rgbft < 1.000000,  1.000000,  1.000000 ,0.0 ,0.47 > +<1, 1, 1,0.0 ,0> ]
					[ 1.0 color rgbft < 1.000000,  1.000000,  1.000000 ,0.0 ,0.35 > +<1, 1, 1,0.0 ,0> ]
				}
				sine_wave
				scale < 1.0, 2, 1.0 >
				translate y*-0.3
				turbulence < 0.3, 0.4, 0.0 >
			}
		}
		scale 1.4
		translate <-0, 4, 1.5>
	}	
		
	text {
		ttf Font,"Mac"
		0.31, x*0.07
			h_align_center
	texture {
			pigment  {
				gradient < 0,1, 0 >
				color_map {
					[ 0.0 color rgbft < 1.000000,  1.000000,  1.000000 ,0.0 ,0.45 > +<1, 1, 1, 0, 0> ]
					[ 0.8 color rgbft < 1.000000,  1.000000,  1.000000 ,0.0 ,0.46 > +<1, 1, 1,0.0 ,0> ]
					[ 0.8 color rgbft < 1.000000,  1.000000,  1.000000 ,0.0 ,0.40 > +<1, 1, 1,0.0 ,0> ]
					[ 0.9 color rgbft < 1.000000,  1.000000,  1.000000 ,0.0 ,0.47 > +<1, 1, 1,0.0 ,0> ]
					[ 1.0 color rgbft < 1.000000,  1.000000,  1.000000 ,0.0 ,0.35 > +<1, 1, 1,0.0 ,0> ]
				}
				sine_wave
				scale < 1.0, 2, 1.0 >
				translate y*-0.3
				turbulence < 0.3, 0.4, 0.0 >
			}
		}
		scale 1.4
		translate <-0, -1.5, 1.5>
	}			
	}	
#end

#if (BlokAan=on)
	#declare Blok=
		difference {
			box { <-5.2, 0, 0>, <5.2, 3, 2> }
			cylinder { <-5.1, 0, 0>, <5.1, 0, 0>, 0.2 }
			cylinder { <-5.1, 3, 0>, <5.1, 3, 0>, 0.2 }
			cylinder { <-5, 0, 0>, <-5, 3, 0>, 0.2}
			cylinder { <5, 0, 0>, <5, 3, 0>, 0.2 }
			texture {
				T_Stone22
				scale <4.1, 3.4, 3>
				translate <-4.8,-0.3,0.4>
			}
			no_shadow
		}
#end


#declare Hoofdbreedte = 2; //0.4			//=blokbreedte bovenaan
#declare Voorhoofd = 1.8;						//=diameter van de bovenrand cone bovenaan
#declare Taille = 1.6;							//=taille van de zuil zelf (onderaan)
#declare Nek = 0.7071068*Taille;		//=diameter van de onderrand cone bovenaan
#declare Voet = 1.8;								//=diameter van de onderrand cone onderaan
#declare Sokkel = 3;								//=blokbreedte onderaan

#declare Hoofdhoogte = 	 0.2;				//=hoogte van de bovenste blok
#declare Halshoogte = 	0.5;					//=hoogte van de bonvenste cone
#declare Stamhoogte =  3	;					//=hoogte van de zuil zelf
#declare Voethoogte =   0.5;					//=hoogte van de onderste cone
#declare Basishoogte =   0.08;				//=hoogte van de cylinder onder de onderste cone
#declare Sokkelhoogte = 0.5	;				//=hoogte van de onderste blok
// volgende enkel nodig bij zuil
#declare Diepte=0.2;
#declare Rand=0.1;
#declare Breedte =0.5;
#include "zuil2.inc"
		
#declare Alles =
	union {
		#if (TextBlokAan=on )
			union {
				object { Blok }
				object { Text translate z*-0.5}
				object { Unofficial }
			}
		#end
//		#if ( BlokAan=on)	object { Blok }	#end
		#if ( ZuilenAan=on)
			union {
				object {
					Zuil2
					translate <-3.3,-4.78,2>
					texture {
						T_Stone22
						scale <5, 3.4, 3>
						translate <-5, 0, 0.4>
					}
				}
				object {
					Zuil2
					translate <3.3, -4.78, 2>
					texture {
						T_Stone22
						scale <5, 3.4, 3>
						translate <-5, 0, 0.4>
					}
				}
				//no_shadow
			}
		#end
	}

object { Alles translate <0, -1.3, 1> no_shadow}


#declare Polished_Brass = 
texture {
    pigment { color rgb <0.578, 0.422, 0.195> }
    finish {
        metallic
        ambient 0.3
        diffuse 0.85
        brilliance 6.0
        reflection 0.3
        phong 0.8
        phong_size 120
   }
}

#declare KleurvingerAan = 0;
#if (MijnhandAan =on)
	blob  {
		threshold 1
		//ringvinger
		cylinder { 
			< -5, 0, 0 >, < 0, 0, 0 >, 1.6, strength 2
			rotate z*25
			translate y*2.4
			#if (KleurvingerAan=on) pigment { Green } #end
		}
		cylinder { 
			< -5, 0, 0 >, < 0, 0, 0 >, 1.5, strength 2
			rotate z*-10
			translate x*-5
			#if (KleurvingerAan=on) pigment { Red } #end
		}
		cylinder { 
			< -3.5, 0, 0 >, < 0, 0, 0 >, 1.4, strength 2
			rotate z*-25
			translate <-10, 1, 0>
			#if (KleurvingerAan=on) pigment { Blue } #end
		}
		cylinder { 
			< -3.3, 0, 0 >, < 0, 0, 0 >, 1.3, strength 2
			rotate z*-50
			translate <-13.5, 2, 0>
		}
		cylinder { 
			< -2, 0, 0 >, < 0, 0, 0 >, 1.2, strength 2
			rotate z*-62
			translate <-15.5, 5.1, 0>
		}
		//wijsvinger
		cylinder { 
			< -5, 0, 0 >, < 0, 0, 0 >, 1.55, strength 2
			rotate z*25
			translate y*2.3
			rotate y*-10
		}
		cylinder { 
			< -5, 0, 0 >, < 0, 0, 0 >, 1.5, strength 2
			rotate z*-10
			translate x*-5
			rotate y*-10
			#if (KleurvingerAan=on) pigment { Yellow } #end
		}
		cylinder { 
			< -3.2, 0, 0 >, < 0, 0, 0 >, 1.4, strength 2
			rotate z*-25
			translate <-10, 1, 0>
			rotate y*-10
		}
		cylinder { 
			< -2.5, 0, 0 >, < 0, 0, 0 >, 1.25, strength 2
			rotate z*-50
			translate <-12.6, 2.1, 0>
			rotate y*-10
		}
		cylinder { 
			< -2, 0, 0 >, < 0, 0, 0 >, 1.2, strength 2
			rotate z*-63
			translate <-14.5, 4.9, 0>
			rotate y*-10
		}
		//duim
		cylinder { 
			< 0, 0, 0 >, < 0, 0, -2 >, 1.6, strength 1.9
			rotate y*50
			rotate x*7
			translate <0, 1.9, -1.4>
			#if (KleurvingerAan=on) pigment { LightBlue } #end
		}
		cylinder { 
			< 0, 0, 0 >, < 0, 0, -2 >, 1.5, strength 2
			rotate y*70
			rotate x*12
			translate <-2.9, 1.7, -2.2>
			#if (KleurvingerAan=on) pigment { SkyBlue } #end
		}
		cylinder { 
			< 0, 0, 0 >, < 0, 0, -2 >, 1.5, strength 2
			rotate y*75
			rotate x*45
			translate <-5.5, 1.7, -3.5>
			#if (KleurvingerAan=on) pigment { Blue } #end
		}
		//pols
		cylinder { 
			< 0, 0, 0 >, < 3, 0, 0 >, 1.7, strength 2
			scale <1, 1, 5>
			rotate z*35
			translate <0.3, 1.7, 2.5>
			#if (KleurvingerAan=on) pigment { Red } #end
		}
		texture { Polished_Brass }
		translate <6.4, -13.8, -3>
		translate y*-0.8 rotate z*11 translate y*0.8
		no_shadow
	}
#end

plane {
	y, -100
	texture {
			pigment {
			    bozo
			    turbulence <0.7, 0.4, 0.6>
			    color_map {
			       [ 0.0	color White transmit 0.9 ]
			       [ 0.6	color White transmit 0.85 ]
			       [ 0.6	color White transmit 0.7 ]
			       [ 0.8	color White						 ]
			       [ 0.8  color White						 ]
			       [ 1.0	color rgb < 0.8, 0.8, 0.8 > ]
			    }
			    scale < 300, 55, 400 >
			  }
			  finish { ambient 0.65 }
	}
	rotate x*7
	//no_shadow
	hollow
}


