// MEGAPOV Logo
// ------------
// POV-Ray 3.x
// Date: 19 December 2002
// Author: Chris Colefax <ccolefax@yahoo.com>
// Note: Requires Arial and Arial Bold font files (Monotype)

#ifndef (Save_Rad)
  #declare Save_Rad=0;
#end

global_settings {

  assumed_gamma 1
  max_trace_level 12
  noise_generator 2

  radiosity {
    pretrace_start 0.08
    pretrace_end 0.004
    count 250

    nearest_count 5
    error_bound 0.1
    recursion_limit 1

    low_error_factor .5
    gray_threshold 0.0
    minimum_reuse 0.015
    brightness 0.9

    adc_bailout 0.01/2

    //normal on
    #if (Save_Rad>0)
      save_file "rad.dat"
    #else
      load_file "rad.dat"
    #end
    //always_sample off
  }
  /*
  photons {
    spacing 0.003
  } */
}

camera {right x up y location -z*12 look_at -0.1*y angle 41}

light_source {
  //<-100, 200, -400>*100
  <-100, 300, -450>*50
  color rgb <1.3, 1.2, 1>*1.8
  area_light 4000*x 4000*y  4,4 jitter orient circular adaptive 1
}

//light_source {<300, -100, -300> rgb <.4, .5, .6> shadowless}

union {
  union {
      difference {cone {<0, 2, 0>, 1, <0, -4, 0>, 0} sphere {<0, 2, 0>, 1.4 scale <1, 1, 2>}}
      difference {sphere {0, 1 scale <2.6, 2.2, 1>} sphere {0, 1 scale <2.3, 1.8, 2> translate <-.35, 0, 0>} rotate z*30 translate <.3, 2, 0>}
      rotate -z*degrees(atan2(1, 6))
      }

  text {ttf "arialbd", "MEGA", .5, 0 scale <2.5, 2, 2> rotate z*90 translate <-1, -3.7, -.5>}
  text {ttf "arial", "POV", .3, 0 scale <1, 1.5, 1.5> translate <-.6, 1.5, -.2>}
  //text {ttf "Zurchuke", "MEGA", .5, 0 scale 2 rotate z*90 translate <-1, -3.7, -.5>}
  //text {ttf "Zurchc", "POV", .3, 0 scale 1.5 translate <-.6, 1.5, -.2>}

  disc {
    <0.4, 0.25, 0.3>, -z, 4.2, 0
    texture {
      pigment {
        gradient x
        color_map {
          [0.2 color rgb < 0.00, 0.40, 0.40 >]
          [0.8 color rgb < 0.0, 0.250, 0.50 >*0.3]
        }
        translate -0.5*x
        scale 2
        rotate -30*z

        scale 5
      }
      finish {
        ambient 0
        diffuse 0.25//0.5
      }
    }
  }

  texture {
    //pigment { color rgb 1 }
    pigment { color rgb <1, 0.96, 0.8> }
    finish {
      ambient 0
      diffuse 0.25//0.3
      specular 0.12
      //reflection 0.1
    }
  }
  rotate <15, -25, -5>
}

/*
sky_sphere {
  pigment { color rgb 1 }
} */


sphere {
  0, 16
  scale <1, 0.01, 1>
  translate -11*y
  texture {
    pigment { color rgb 1 }
    finish {
      ambient 0
      diffuse 0.2
    }
  }
}

background{ 1 }

#if (Transparent>0)

plane {
  z, 0.7  //0.5//
  texture {
    pigment { color rgb 1 }
    finish {
      ambient 0
      diffuse 0.6//1.0
    }
  }
  rotate <15, -25, -5>
}

#end

#if (Transparent=0)

sphere {
  <0, 0, 0>, 1
  texture {
   pigment {
     //marble
     gradient x
     color_map {

       [0.4 color rgb < 0.970, 0.750, 0.400 >] // yellow-blue
       [0.6 color rgb < 0.350, 0.350, 1.000 >]
     }
     translate -0.5*x  // gradient x
     scale 2
   }
   finish { diffuse 0 ambient 1 }
  }
  hollow on
  no_shadow
  scale 3000
}

#end
